Twizanex bottom chat for elgg 1.8 v1.2

Release Notes

Changes:1.2  - added a README.md file      - removed elgg_extend_views Css      - reduced sloc count to 25!      - fixed isloggedin to elgg_is_logged_in

  • Tom, I see that your plugin just replace the "header" view with the "footer" view. I think this is theme related, so how about contact the original Developer (Mariano) and submit a patch?

    We dont need a lot of plugins with the same code. This just make the things confused.

  • Tom: I use My Ultimate Cool Theme and Elgg Chat 1.8.8 for Elgg 1.8 with Twizanex bottom chat for elgg 1.8 for Elgg 1.8 and get error in the friends friend box of chat:

    Parse error: syntax error, unexpected T_OBJECT_OPERATOR in domain.com.ar/public_html/mod/bottom_bar/friends.php on line 20

  • For those who are getting this error Parse error: syntax error, unexpected T_OBJECT_OPERATOR in domain.com.ar/public_html/mod/bottom_bar/friends.php on line 20

    Your bottom bar chat is trying to check for new users who are online and three conditions have to be returned without any "false" results... for example, the plugin checks for your friends' icons, your friends' username, and also it checks if the admin has turned on or allowed users to use the bottom bar plugin... if the result is "YES" to all of these three mentioned conditions, then the bottom bar chat proceeds to load your friends who are online in your browsers' little box at the bottom of your website... if "false" or NO-- it will show "No friends on line" or  in every 3 minutes, it will subtract or add new friends who are online or who have just logged in. or else it will return "Friends (0)" if none of your friends is online. However, before this new fix, it was throwing “syntax error, unexpected T_OBJECT_OPERATOR" error and "Undefined" in the bottom little box instead of “Friends (0)” if no friend is online.
        
       Go to  this address bellow and learn how to fix this problem:

    http://www.twizanex.com/blog/view/11591/parse-error-syntax-error-unexpected-t-object-operator-in-and-bottom-bar-or-elgg-chat-188

  • Tom: I followed your instructions:

    Edit: mod/bottom_bar/friends.php

    Replace this:

    $showFriendIcon = get_plugin_usersetting("friends_icons",$_SESSION['user']->guid,"bottom_bar") != "false";

    With this:

    $showFriendIcon = elgg_get_plugin_setting("friends_icons",$_SESSION['user']->guid,"bottom_bar");

    Replace this:

    $friends = $_SESSION['user']->getFriends("",1000);

    With this:

    if ($showFriendIcon == "true") {
    $friends = $_SESSION['user']->getFriends("",1000);
    }

    Not get error "Parse error: syntax error, unexpected T_OBJECT_OPERATOR in domain.com/public_html/mod/bottom_bar/friends.php on line 20"

    But now the online friends disappear and appear after upgrade the page and the messages do not reach the recipient.

  • @ Ve, The New Elgg chat 1.8.8 -- Version 1.6, includes my fix. Which Elgg chat 1.8.8 version are you using?

    Also if you are using firefox, clear the cookies and also, clear your elgg caches after installing the new chat version.

    If you have more questions I will be willing to help...

  • Tom Elgg chat 1.8.8 Version 1.6 not available for download. (I use Version 1.5)

    I use Google Chrome. I have cleared the cookies, elgg caches and I run upgrade.php

  • Getting errors like

    Deprecated in 1.8: get_plugin_setting() is deprecated by elgg_get_plugin_setting() Called from [#12]
  • @GuuugleMe, Thanks for your concern, Twizanex:  Twizanex bottom chat for elgg 1.8 for Elgg 1.8 is for those who are using facebook theme for elgg 1.8 related themes. If you have other themes, you should use elgg-chat-188 standalone. I have even given the link on the plugin installation instructions.

    @Shah Nawaz, error Deprecated in 1.8: get_plugin_setting() is deprecated by elgg_get_plugin_setting() Called from [#12] might be caused by another plugin. Can you post full error message, Anyway, you need to open the file that the error points you to and replace get_plugin_setting() with elgg_get_plugin_setting ()

    Let me know how it goes...

  • @ Ve, I think what is happening in your situation is, if you are using the same computer and loging in either by same browser or different browsers and: When two users, admin (1st user) and another user (2nd user or testing account), are sharing a computer or laptop. Admin (1st user) logs out of the same website using bottom bar or elgg chat 1.8.8, the chat plugin dutifully removes Admin (1st user) local cookies. Unfortunately bottom bar chat code cannot alter 1st user’s cookies, so when 2nd user uses the same computer for testing or chatting with the first user (“friend”), the 2nd user can now instantly load the 1st user’s cookies or chat logs after (1st user) logout: There are a few things that need to be fixed and then you won’t receive the Friends (undefined) error.  I hope this situation will be corrected in the future versions.

    I am not getting you error though! I will try to reproduce your error...

  • Now getting following errors. I'm working on Elgg 1.8.6, is there any relation with the version?
    Deprecated in 1.8: get_plugin_usersetting() is deprecated by elgg_get_plugin_user_setting() Called from [#10] /public_html/mod/bottom_bar/views/default/page_elements/bottom_bar.php:20
    Deprecated in 1.8: get_plugin_usersetting() is deprecated by elgg_get_plugin_user_setting() Called from [#10] /public_html/mod/bottom_bar/views/default/page_elements/bottom_bar.php:22
  • Issue has been resolved after updating Elgg version.... Thanks Tom...

  • I can not see any difference by installing twizanex-bottom-chat, 

    I am using defailt theme of elgg and I am using Elgg Chat 1.8.8 plugin works fine but I installed twizanex-bottom-chat as well doest not show any difference????

  • twizanex is built specifically for certain themes, such as the facebook theme, etc.....

     

  • I have been away and now I am back. Just finished my Engineering finals today :)

    I have a new plugin coming up in a few days from now. I will keep you updated ... Thanks to all...

     

  • WTF!!!!

     

    Este plugin tiene dependencias desconocidas y no se activará. Consulte las dependencias debajo de mas información

    Add a bottom chat bar similar to Facebook on Facebook_theme for elgg, cool_theme, My cool theme, My Ultimate Cool Theme, WISB theme, and many more themes like facebook

    Autor: Tom Ondiba, Twizanex (twizanex@yahoo.com) - http://twizanex.com

    Copyright: (C) Tom Ondiba, 2012
    Licencia: GNU Public License version 2
    Ubicacion: /home/u585621687/public_html/mod/twizanex_chat/
    Dependencias:
    TipoNombreValor de TestValor ActualComentario
    Requiere Versión Elgg >= 1.8 1.8.12 ok
    Requiere Plugin: bottom_bar any -- error
    Provee Plugin: twizanex_chat 1.2 -- ok
  • @ carlos,  usted necesita plugin de fondo y este finde bar plugin para poder charlar como facebook. Algunos temas Elgg no necesita este plugin ... Se temporalmente arreglar el chat barra inferior ...

    Si plugin de fondo barra no se warking después activatin en su área de administración

    1. descargar    http://community.elgg.org/plugins/1153641/1.8rc3/elgg-chat-v19rc3
    2. descargar     http://community.elgg.org/plugins/1128107/1.4/twizanex-bottom-chat-for-elgg-18

    Activar ambos plugins ...

     

  • Thank you But for using this you have to have 

    Bottom Bar 1.10rc1 

  • not working in my ultimate cool theme 2.1  :(

Tom

Call me the Guy who CLEANS ELGG FROM OUTSIDE ( ͡° ͜ʖ ͡° ) I am Elgg enthusiast, Entrepreneur, Blogger, and Thinker. Just A Developer and loves the Web

Stats

  • Category: Communication
  • License: GNU General Public License (GPL) version 2
  • Updated: 2014-11-17
  • Downloads: 5358
  • Recommendations: 24

Other Projects

View Tom's plugins